class ApplicationController < ActionController::API
  def authenticated_auth
    if respond_to?(:current_auth) && current_auth
      current_auth
    else
      'Unknown'
    end
  end

  rescue_from ActiveRecord::RecordNotFound  do |e|
    render json: { error: e.message }, status: 404
  end

  rescue_from ActiveRecord::RecordInvalid do |e|
    render json: { error: e.message }, status: 422
  end
end
